List of all members
clan::DisplayTarget Class Reference
clanDisplay Display

Display target for clanDisplay. More...

`#include <display_target.h>`

Inheritance diagram for clan::DisplayTarget:

## Public Member Functions
Construction
| DisplayTarget (DisplayTargetProvider *provider)
| Constructs a DisplayTarget. More...
virtual | ~DisplayTarget ()
Attributes
DisplayTargetProvider * | get_provider ()
| Returns the provider for the display target. More...
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
Operations
void | set_current ()
| Set this display target to be the current target. More...

## Implementation
class | DisplayTarget_Impl

## Detailed Description

Display target for clanDisplay.

The documentation for this class was generated from the following file:

- display_target.h